# use strict;
use warnings;

($se,$mi,$ho,$dy,$mo,$yr,$dw,$dyr,$isdst) = localtime(time);

$dummy = $dw+$dyr+$isdst;

# $tm = localtime;
my $yr = $yr +1900;
my $mo = $mo+1;

if ($mo < 10) {
$mo = '0' . $mo;
}
if ($dy < 10) {
$dy = '0' . $dy;
}

if ($ho < 10) {
$ho = '0' . $ho;
}

if ($mi < 10) {
$mi = '0' . $mi;
}

if ($se < 10) {
$se = '0' . $se;
}

local $main::datetime = $yr . '-' . $mo . '-' . $dy . 'T' . $ho . ':' . $mi . ':' . $se;

my ($inf,$outf)= @ARGV;
$inf or die "Source glossary file name is required!\n" ;
$outf or $outf= $inf.".xml";

open my $in, "<:encoding(utf8)", $inf
    or die "Can't open '$inf':$!";
open my $out, ">:raw:encoding(utf16le)", $outf
    or die "Can't write '$outf':$!";

print $out "\<\?xml version\=\'1\.0\' encoding\=\'UTF-16\' \?\>\<mtf\>\n";

local $main::num = 1;
while (<$in>) {
#print $_;
chomp;
my @a = split('\t', $_);
print $out <<SDLX;
<conceptGrp>
<concept>$main::num</concept>
<transacGrp>
<transac type="origination">$ENV{USERNAME}</transac>
<date>$main::datetime</date></transacGrp>
<transacGrp>
<transac type="modification">$ENV{USERNAME}</transac>
<date>$main::datetime</date>
</transacGrp>
<languageGrp>
<language type="English (United States)" lang="EN-US"/>
<termGrp>
<term>$a[0]</term>
<transacGrp>
<transac type="origination">$ENV{USERNAME}</transac>
<date>$main::datetime</date>
</transacGrp>
<transacGrp>
<transac type="modification">$ENV{USERNAME}</transac>
<date>$main::datetime</date>
</transacGrp>
</termGrp>
</languageGrp>
<languageGrp>
<language type="Polish" lang="PL"/>
<termGrp>
<term>$a[1]</term>
<transacGrp>
<transac type="origination">$ENV{USERNAME}</transac>
<date>$main::datetime</date>
</transacGrp>
<transacGrp>
<transac type="modification">$ENV{USERNAME}</transac>
<date>$main::datetime</date>
</transacGrp>
</termGrp>
</languageGrp>
</conceptGrp>
SDLX
$main::num = $main::num + 1;
}

print $out "\<\/mtf\>\n";

print "$dummy\n";

close $in or die "Something happened while closing '$inf': $!";
close $out or die "Error closing '$outf', the file may be corrupted: $!";